
public class Class245 {

   static final int anInt2932 = 3;
   static final int anInt2933 = 1;
   static final int anInt2934 = 2;
   static final int anInt2935 = 7;
   static final int anInt2936 = 4;
   static final int anInt2937 = 0;
   static final int anInt2938 = 6;
   static int anInt2939;


   Class245() throws Throwable {
      throw new Error();
   }

   static void method4381(Class508 var0, int var1) {
      var0.anIntArray6027[-937710807 * var0.anInt6003 - 2] = Class453.aClass511_5677.method10849(var0.anIntArray6027[var0.anInt6003 * -937710807 - 2], 630325661).anIntArrayArray6055[var0.anIntArray6027[var0.anInt6003 * -937710807 - 1]][0];
      var0.anInt6003 -= 98312473;
   }

   static final int[] method4382(String var0, Class508 var1, byte var2) {
      int[] var3 = null;
      if(var0.length() > 0 && var0.charAt(var0.length() - 1) == 89) {
         int var4 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
         if(var4 > 0) {
            for(var3 = new int[var4]; var4-- > 0; var3[var4] = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807]) {
               ;
            }
         }
      }

      return var3;
   }

   public static Class219 method4383(Class253 var0, String var1, boolean var2, int var3) {
      int var4 = var0.method4557(var1, (byte)-105);
      if(var4 == -1) {
         return new Class219(0);
      } else {
         int[] var5 = var0.method4513(var4, -1936236484);
         Class219 var6 = new Class219(var5.length);
         int var7 = 0;
         int var8 = 0;

         while(var7 < -872595517 * var6.anInt2574) {
            RS2Buffer var9 = new RS2Buffer(var0.method4547(var4, var5[var8++], (byte)47));
            int var10 = var9.readInt_(1730593698);
            int var11 = var9.readUnsignedShort(-937710807);
            int var12 = var9.readUnsignedByte(-700559597);
            if(!var2 && 1 == var12) {
               var6.anInt2574 -= 1747986667;
            } else {
               var6.anIntArray2575[var7] = var10;
               var6.anIntArray2573[var7] = var11;
               ++var7;
            }
         }

         return var6;
      }
   }

   static final void method4384(Class508 var0, int var1) {
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub13_8473, var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807] == 1?1:0, 421182202);
      Class7.method605(-1358477367);
      client.aBool7758 = false;
   }

   static final void method4385(Class508 var0, int var1) {
      var0.aClass369_6012 = new Class369();
      var0.aClass369_6012.anInt4624 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807] * -540204691;
      var0.aClass369_6012.aClass225_Sub14_Sub5_4623 = Class255.aClass434_3029.method7328(var0.aClass369_6012.anInt4624 * -670625691, -820872170);
      var0.aClass369_6012.anIntArray4622 = new int[var0.aClass369_6012.aClass225_Sub14_Sub5_4623.method15622(1073872208)];
   }
}
